<template>
  <a
    v-if="isPathAbsolute"
    class="circle-link"
    target="_blank"
    rel="noopener noreferrer"
    :href="path"
  >
    <slot></slot>
  </a>
  <RouterLink v-else class="circle-link" :to="$props">
    <slot></slot>
  </RouterLink>
</template>

<script lang="ts">
import { isUrlAbsolute } from "@/utils/isUrlAbsolute";
import { Component, Prop, Vue } from "vue-property-decorator";
import { RouterLink } from "vue-router";

@Component({ components: { RouterLink } })
export default class CircleLink extends Vue {
  @Prop({ default: "/" }) path: string;
  @Prop({ default: "" }) hash: string;

  get isPathAbsolute() {
    return isUrlAbsolute(this.path);
  }
}
</script>

<style lang="scss" scoped>
.circle-link {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  border: 1px solid transparentize($white, 0.4);
  border-radius: 50%;
  width: 40px;
  height: 40px;
  transition: all 0.3s;
  text-decoration: none;

  // &__content {
  //   position: absolute;
  //   top: 50%;
  //   left: 50%;
  //   transform: translate(-50%, -50%);
  // }

  &:hover {
    border: 1px solid $white;
  }
}
</style>
